Subject: Re: [PATCH v6 01/17] powerpc/vas: Define macros, register fields and structures

From: Sukadev Bhattiprolu <[email-masked]>
Date: Mon, 14 Aug 2017 12:14:09 -0700

Nicholas Piggin [[email-masked]] wrote:
> On Mon, 14 Aug 2017 15:21:48 +1000
> Michael Ellerman <[email-masked]> wrote:
> 
> > Sukadev Bhattiprolu <[email-masked]> writes:
> 
> > >  arch/powerpc/include/asm/vas.h       |  35 ++++
> > >  arch/powerpc/include/uapi/asm/vas.h  |  25 +++  
> > 
> > I thought we weren't exposing VAS to userspace yet?
> > 
> > If we are then we need to get things straight WRT copy/paste abort.
> 

> No we should not be. This might be just a leftover hunk that should
> be moved to a future series.

Yes, I should have posted patches 14..17 separately as an RFC that goes
on top of the VAS kernel patches 1..13.

> 
> At the moment (as far as I understand) it should be limited to
> preempt-disabled, process context, kernel users which avoids any
> concern for switch_to.
> 

In the FTW case, there is no data transfer from user space to the hardware.
i.e the copy/paste submit a NULL CRB and hardware will be configured (see
->fifo_disable setting in winctx) to ignore any data they specify in the CRB.

Would we be able to allow copy/paste from user space in that case?

Sukadev